//+------------------------------------------------------------------+
//|                                                 TODAYtrendEA.mq4 |
//|                                                            tanim |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "tanim"
#property link      "http://www.metaquotes.net"

//--- input parameters
extern int       TP=300;
extern int       SL=400;
extern double    Lots=0.1;
extern int    MagicNum=10001;




int CalculateCurrentOrders()
 {
   int orderT = OrdersTotal(), buys = 0, sells = 0;
   //----
   for(int i = 0; i < orderT; i++)
    {
      if(OrderSelect(i, SELECT_BY_POS, MODE_TRADES) == false) break;
      if(OrderSymbol() == Symbol() && OrderMagicNumber() == MagicNum)
       {
         if(OrderType() == OP_BUY)  buys++;
         if(OrderType() == OP_SELL) sells++;
       }
    }
   if(buys > 0) return(buys);
   else if(sells > 0) return(-sells);
   else return(0);
 }
//+------------------------------------------------------------------+ 
int Get_Broker_Digit()
 {  
   if(Digits == 5 || Digits == 3)
    { 
       return(10);
    } 
   else
    {    
       return(1); 
    }   
 }







//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
 int cnt, ticket, total;
   int digitKoeff = Get_Broker_Digit();
  double UpBuffer=0 ;
  double DownBuffer=0 ;
   
   
   //-----
   if(CalculateCurrentOrders() == 0) 
    {      
        UpBuffer = iCustom(NULL, 0, "Today Trend",0,0);
        DownBuffer = iCustom(NULL, 0,"Today Trend",1,0);
            
            if(UpBuffer>0)
       {      
         ticket = OrderSend(Symbol(), OP_BUY, Lots, Ask, 3 * digitKoeff, Ask - SL * Point * digitKoeff, Ask + TP * Point * digitKoeff, "rsi-ma", MagicNum, 0, Green);
         if(ticket > 0)
          {            
             return(0);
          }
       }     
      if(DownBuffer>0)
       {
         ticket = OrderSend(Symbol(), OP_SELL, Lots, Bid, 3 * digitKoeff, Bid + SL * Point * digitKoeff, Bid - TP * Point * digitKoeff, "rsi-ma", MagicNum, 0, Red);
         if(ticket > 0)
          {
             return(0); 
          }  
       }            
    }


   
//----
   return(0);
  }
//+------------------------------------------------------------------+